libcoap 4.3.2rc2

Data Fields
coap_fixed_point_t Struct Reference
Application API » Sessions

Abstraction of a fixed point number that can be used where necessary instead of a float. More...

`#include <coap_session.h>`

## Data Fields
uint16_t | integer_part
| Integer part of fixed point variable. More...
uint16_t | fractional_part
| Fractional part of fixed point variable 1/1000 (3 points) precision. More...

## Detailed Description

Abstraction of a fixed point number that can be used where necessary instead of a float.

1,000 fractional bits equals one integer

Definition at line 30 of file coap_session.h.

## Field Documentation

## ◆ fractional_part

uint16_t coap_fixed_point_t::fractional_part

Fractional part of fixed point variable 1/1000 (3 points) precision.

Definition at line 32 of file coap_session.h.

## ◆ integer_part

uint16_t coap_fixed_point_t::integer_part

Integer part of fixed point variable.

Definition at line 31 of file coap_session.h.

The documentation for this struct was generated from the following file:

- coap_session.h